xcb_change_hosts(3)

NAME
xcb_change_hosts -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_change_hosts(xcb_connection_t *conn, uint8_t mode, uint8_t family, uint16_t address_len, const uint8_t *address);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

mode
    One of the following values:

    XCB_HOST_MODE_INSERT
        TODO: NOT YET DOCUMENTED.

    XCB_HOST_MODE_DELETE
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

family
    One of the following values:

    XCB_FAMILY_INTERNET
        TODO: NOT YET DOCUMENTED.

    XCB_FAMILY_DECNET
        TODO: NOT YET DOCUMENTED.

    XCB_FAMILY_CHAOS
        TODO: NOT YET DOCUMENTED.

    XCB_FAMILY_SERVER_INTERPRETED
        TODO: NOT YET DOCUMENTED.

    XCB_FAMILY_INTERNET_6
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

address_len
    TODO: NOT YET DOCUMENTED.

address
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_change_hosts_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.